Retrieves the project with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

_parent_id

Reference to a parent installation

globally unique identifier
root_parent_id

This field will be filled automatically based on the parent_id

globally unique identifier
_parent_reference_back_office

Embedded entity "project" for parent installation using ERP PK when adding/updating project

string
_parent_project

Embedded entity "project" for parent installation when adding/updating project

project
equipment_family_id

Foreign key to equipment_family. It can be taken via equipment_family_code, equipment_family or equipment model that links to a valid equipment family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating project

string
equipment_family

Embedded entity "equipment_family" when adding/updating project

equipment_family
equipment_model_id

Foreign key to equipment model. It can get via equipment_family_code, equipment_family or equipment_model

globally unique identifier
equipment_model_code

Embedded entity "equipment_model" using ERP PK when adding/updating project

string
equipment_model

Embedded entity "equipment_model" when adding/updating project

equipment_model
project_status_id

Foreign key to project_status

globally unique identifier

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status_code

Embedded entity "project_status" using ERP PK when adding/updating project

string

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status

Embedded entity "project_status" when adding/updating project

project_status

Optionally required : project_status_id, project_status_code or project_status must be provided

company_id

The company owner of this project/installation

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating project

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating project

company

Optionally required : company_id, company_code or company must be provided

db_address_id

Specific db_address_id of the %company_id% if different than the company default address

globally unique identifier
db_address_code

Embedded entity "db_address" using ERP PK when adding/updating project

string
db_address

Embedded entity "db_address" when adding/updating project

db_address
location

Additional text to describe the location

string

Max length: 255

contact_id

Main contact for this project/installation

globally unique identifier
contact_reference_back_office

Embedded entity "contact" using ERP PK when adding/updating project

string
contact

Embedded entity "contact" when adding/updating project

contact
owner_user_id

User owner/manager of this project/installation

globally unique identifier
name

Name of the project/installation

string

Required

Max length: 50

description

Long description

string
reference_back_office

The Id/Ref of the back office for this project/installation. Used by Embedded entity

string

Max length: 255

serial_number

Serial number

string

Max length: 255

barcode

Barcode

string

Max length: 50

date_start_production

Date project/installation becomes active

date
date_create

Creation date+time

date
date_update

Update date+time

date
updated_by_user_id

Last User that updates the object

globally unique identifier
customer_reference

Reference of this project/installation for the customer

string

Max length: 50

warranty_date_until

End date of the warranty (if applicable)

date
last_standard_result_score_1

Last result score 1 (CF Standard module)

string

Max length: 50

last_standard_result_score_2

Last result score 2 (CF Standard module)

string
target_standard_result_score_1

Target result score 1 (CF Standard module)

string

Max length: 50

target_standard_result_score_2

Target result score 2 (CF Standard module)

string

Max length: 50

date_built

Build date of the installation (if applicable)

date
shutdown_consequence

Consequence of the installation is shut down (CEO has no air cooling anymore,..)

string

Max length: 4000

id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer
nb_open_jobs

Readonly - Number of open jobs

integer
date_next_job

Date+time of the next job planned

date
date_last_job

Date+time of the last job completed

date
nb_jobs_planned

Number of jobs with status Planned

integer
nb_jobs_tobeplanned

Number of jobs with status To Be Planned

integer
nb_jobs_waitingfurtheraction

Number of jobs with status Waiting Further Action

integer
back_office_timestamp

Back Office timestamp value (conflict detection purpose)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
is_mobile_installation

Set it TRUE if this is a mobile installation.

boolean

Response Formats

application/json, text/json

Sample:
{
  "id": "ef346145-c84d-4d00-b2ac-837e9b69d090",
  "_parent_id": "1cd48928-2b30-4587-9ad1-5f6ac84bd3c3",
  "root_parent_id": "5e53126a-f0b5-4691-9e72-31fec9453cf3",
  "_parent_reference_back_office": "sample string 4",
  "equipment_family_id": "d06e543a-9664-4885-b49c-b1ed4e86b313",
  "equipment_family_code": "sample string 6",
  "equipment_family": {
    "id": "376db603-68ae-4197-afb0-d967a43f3b2b",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "c372dd83-74bd-4294-9283-9c7d39cfe25b",
    "_parent_code": "sample string 6",
    "sales_organization_id": "d68ba9a1-c549-41fa-a3c2-d8893d8253a8",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "f692a359-850f-48a6-b3ea-71e66b559888",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "e4cd6a30-afb4-42c8-87cb-f3fb8be6f752",
      "db_currency_id": "78ca063f-1416-4c00-a906-59536e0336ff",
      "db_language_id": "86bc7f14-6124-4339-a9a9-208b2544d17c",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00"
    },
    "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00"
  },
  "equipment_model_id": "5d91a50d-79b0-4cec-95ab-c83ebf96c680",
  "equipment_model_code": "sample string 8",
  "equipment_model": {
    "id": "8a0b3983-0478-4976-969b-7759c1655c16",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "equipment_brand_id": "9f5aa73c-6275-4942-b63f-52bee9e93706",
    "equipment_brand_code": "sample string 6",
    "equipment_brand": {
      "id": "7a1f434b-1ce5-43e9-bc9b-0afa0cf8ebf0",
      "name": "sample string 2",
      "code": "sample string 3",
      "sales_organization_id": "143cd44b-498e-49fc-802b-60fb451d4fca",
      "sales_organization_code": "sample string 5",
      "sales_organization": {
        "id": "f692a359-850f-48a6-b3ea-71e66b559888",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "e4cd6a30-afb4-42c8-87cb-f3fb8be6f752",
        "db_currency_id": "78ca063f-1416-4c00-a906-59536e0336ff",
        "db_language_id": "86bc7f14-6124-4339-a9a9-208b2544d17c",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00"
      },
      "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00"
    },
    "equipment_family_id": "644d6454-1e5d-4c71-9a15-d8cd481b5d35",
    "equipment_family_code": "sample string 8",
    "equipment_family": {
      "id": "376db603-68ae-4197-afb0-d967a43f3b2b",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "_parent_id": "c372dd83-74bd-4294-9283-9c7d39cfe25b",
      "_parent_code": "sample string 6",
      "sales_organization_id": "d68ba9a1-c549-41fa-a3c2-d8893d8253a8",
      "sales_organization_code": "sample string 8",
      "sales_organization": {
        "id": "f692a359-850f-48a6-b3ea-71e66b559888",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "e4cd6a30-afb4-42c8-87cb-f3fb8be6f752",
        "db_currency_id": "78ca063f-1416-4c00-a906-59536e0336ff",
        "db_language_id": "86bc7f14-6124-4339-a9a9-208b2544d17c",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00"
      },
      "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00"
    },
    "date_in_production_since": "2026-09-12T11:47:07.2052463+00:00",
    "date_out_of_production_since": "2026-09-12T11:47:07.2052463+00:00",
    "date_end_support": "2026-09-12T11:47:07.2052463+00:00",
    "sales_organization_id": "1712060f-3b09-47a7-b06b-b0c3846a7a54",
    "sales_organization_code": "sample string 13",
    "sales_organization": {
      "id": "f692a359-850f-48a6-b3ea-71e66b559888",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "e4cd6a30-afb4-42c8-87cb-f3fb8be6f752",
      "db_currency_id": "78ca063f-1416-4c00-a906-59536e0336ff",
      "db_language_id": "86bc7f14-6124-4339-a9a9-208b2544d17c",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00"
    },
    "replacement_period_nb_months": 14,
    "warranty_period_nb_months": 15,
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ],
    "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00"
  },
  "project_status_id": "b502486e-d0ed-49cc-b11a-60d8620e6825",
  "project_status_code": "sample string 10",
  "project_status": {
    "id": "32fa4cca-c53d-4fa5-aff9-7e403bc69154",
    "name": "sample string 2",
    "is_default": true,
    "is_closed": true,
    "sales_organization_id": "423d0637-f392-4398-91f8-24ec39edcc64",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "f692a359-850f-48a6-b3ea-71e66b559888",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "e4cd6a30-afb4-42c8-87cb-f3fb8be6f752",
      "db_currency_id": "78ca063f-1416-4c00-a906-59536e0336ff",
      "db_language_id": "86bc7f14-6124-4339-a9a9-208b2544d17c",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00"
    },
    "code": "sample string 7",
    "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00"
  },
  "company_id": "fce538da-b634-437e-b5db-0c0f12fb0d2d",
  "company_code": "sample string 12",
  "db_address_id": "8f85cadc-a299-4189-80e1-4c5eb8defdb7",
  "db_address_code": "sample string 14",
  "location": "sample string 15",
  "contact_id": "e20c084e-f217-4f12-88a1-505a6e18a81e",
  "contact_reference_back_office": "sample string 17",
  "owner_user_id": "360353d3-5c75-4bed-950e-8e03d200783f",
  "name": "sample string 19",
  "description": "sample string 20",
  "reference_back_office": "sample string 21",
  "serial_number": "sample string 22",
  "barcode": "sample string 23",
  "date_start_production": "2026-09-12T11:47:07.2052463+00:00",
  "date_create": "2026-09-12T11:47:07.2052463+00:00",
  "date_update": "2026-09-12T11:47:07.2052463+00:00",
  "updated_by_user_id": "740fd2e1-7a3b-4b65-b5a8-c09168bf5f46",
  "customer_reference": "sample string 28",
  "warranty_date_until": "2026-09-12T11:47:07.2052463+00:00",
  "last_standard_result_score_1": "sample string 30",
  "last_standard_result_score_2": "sample string 31",
  "target_standard_result_score_1": "sample string 32",
  "target_standard_result_score_2": "sample string 33",
  "date_built": "2026-09-12T00:00:00+00:00",
  "shutdown_consequence": "sample string 35",
  "id2": 36,
  "nb_open_jobs": 37,
  "date_next_job": "2026-09-12T11:47:07.2052463+00:00",
  "date_last_job": "2026-09-12T11:47:07.2052463+00:00",
  "nb_jobs_planned": 40,
  "nb_jobs_tobeplanned": 41,
  "nb_jobs_waitingfurtheraction": 42,
  "back_office_timestamp": "2026-09-12T11:47:07.2052463+00:00",
  "modified_dateutc": "2026-09-12T11:47:07.2052463+00:00",
  "is_mobile_installation": true
}